spatialite_xml_collapse(1)

NAME
spatialite_xml_collapse - simplify any DB-file created by spatialite_xml_load(1)

SYNOPSIS
\FCspatialite_xml_collapse\F[]
[\FC-h\F[]] [\FC-d\F[] pathname] [\FC-dd\F[]] [\FC-nl\F[] num] [\FC-jo\F[]] [\FC-cs\F[] num] [\FC-m\F[]]

DESCRIPTION
spatialite_xml_collapse is intended to simplify (by collapsing any not strictly required ramification) any DB-file created by spatialite_xml_load(1).

Collapsing a DB-file is a final irreversible operation.

OPTIONS

\FC-h\F[], \FC--help\F[]
    show help message

\FC-d\F[] pathname, \FC--db-path\F[] pathname
    the SpatiaLite DB path

\FC-dd\F[], \FC--delete-duplicates\F[]
    remove all duplicate rows except one

\FC-nl\F[] num, \FC--nl-level\F[] num
    tree-level for table-names (default: 0)

\FC-jo\F[], \FC--journal-off\F[]
    unsafe [but faster] mode

\FC-cs\F[] num, \FC--cache-size\F[] num
    DB cache size (how many pages)

\FC-m\F[], \FC--in-memory\F[]
    using IN-MEMORY database